%define         srcurl          http://wallpapoz.akbarhome.com/
%define         icondir         %{_datadir}/icons/hicolor/128x128/apps

Name:           wallpapoz
Version:        0.3
Release:        1%{?dist}
Summary:        Gnome Multi Backgrounds and Wallpapers Configuration Tool

Group:          User Interface/Desktops
License:        GPL
URL:            %{srcurl}
Source0:        %{srcurl}files/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  desktop-file-utils
Requires:       pygtk2-libglade

%description
This tool enables your Gnome desktop to have different 
wallpapers for different workspaces or virtual desktops.

%prep
%setup -q

%build
# some directory change
for f in src/*wall*.py ; do
   %{__sed} -i.dir \
      -e '/import sys/d' \
      -e '/xml_processing/s|^\(.*\)$|import sys\nsys.path.insert(0, %{_datadir}/%{name})\n\1|' \
      $f
   %{__sed} -i -e "s|%{_datadir}/%{name}|'%{_datadir}/%{name}'|" \
      $f
done

%{__sed} -i.dir \
   -e 's|-f daemon_wallpapoz.py|-f %{_bindir}/daemon_wallpapoz|g' \
   -e 's|\./daemon_wallpapoz.py\&|%{_bindir}/daemon_wallpapoz \&|' \
   src/wallpapoz.py

%{__sed} -i.rpmlint -e '1,3d' src/*processing.py

%{__sed} -i.dir \
   -e 's|Icon=.*|Icon=%{name}|' \
   -e 's|Exec=.*|Exec=%{name}|' \
   share/%{name}/%{name}.desktop

%install
%{__rm} -rf $RPM_BUILD_ROOT

# install by myself

for dir in %{_bindir} %{_datadir}/{applications,%{name},pixmaps} %{icondir} ; do
   %{__mkdir_p} $RPM_BUILD_ROOT$dir
done

for f in src/*%{name}.py ; do
   name=`basename $f | sed -e 's|.py$||'`
   %{__install} -c -p -m755 $f $RPM_BUILD_ROOT%{_bindir}/$name
done
%{__install} -c -p -m644 src/*processing.py $RPM_BUILD_ROOT%{_datadir}/%{name}/

pushd share/%{name}
%{__install} -c -p -m644 %{name}.png $RPM_BUILD_ROOT%{_datadir}/%{name}/
%{__install} -c -p -m644 %{name}.glade* $RPM_BUILD_ROOT%{_datadir}/%{name}/

desktop-file-install \
   --vendor fedora \
   --add-category Application \
   --add-category X-Fedora \
   --dir $RPM_BUILD_ROOT%{_datadir}/applications \
   %{name}.desktop
popd

ln -sf ../../../../%{name}/%{name}.png $RPM_BUILD_ROOT%{icondir}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/*%{name}

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*processing.py*
%{_datadir}/%{name}/%{name}.glade*
%{_datadir}/%{name}/%{name}.png

%{icondir}/%{name}.png
%{_datadir}/applications/fedora-%{name}.desktop

%changelog
* Thu Oct 12 2006 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.3-1
- Initial packaging, importing to Fedora extras.
